> ## Name

> cgIsPass - determine if a pass handle references a valid pass

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgIsPass( CGpass pass );

> ## Parameters

> pass
>   The pass handle to check.

> ## Return Values

> Returns CG_TRUE if pass references a valid pass.

> Returns CG_FALSE otherwise.

> ## Description

> cgIsPass returns CG_TRUE if pass references a valid pass, CG_FALSE otherwise.

> ## Examples

> to-be-written

> ## Errors

> None.

> ## History

> cgIsPass was introduced in Cg 1.4.

> ## See Also

> cgCreatePass, cgGetFirstPass, cgGetNamedPass, cgGetNextPass, cgGetPassName, cgGetPassTechnique